<?php 
declare(strict_types=0);
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);

if(empty($user_codigo) and $format>1){include('user_login0.php');return;}

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}

if(!is_dir('imgp')){mkdir('imgp');}



if(empty($docu)){$docu='CAR1';}

// $formato
// 1 Tienda online
// 2 punto de venta (bodega stock foto)
// 3 proforma (cliente stock foto)
// 4 carrito 
// 5 mantenimiento basico (bodega stock foto) ==> linea,marca,color,fotos,precios

// proceso especial
{
//      set_lsub_orel();
}

// if(mb_stristr('orel.',$cfg_empr) and (empty($user0['user_tipo']) or $user0['user_tipo']=='invi'))
// {$tstock=1;}


$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

     $src='//'.$file_server.'/_lib/ctlg_ppdd3.js'.$js_version;
     $script=$dom->appendChild($dom->createElement("script"," "));
     $script->setAttribute("src",$src);

echo $dom->saveXML();

if(empty($lpre))
{
     $lpre='pvp1';
     if($cfg_empr=='imcp'){$lpre='puni3';}
}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$lpre='pvp1';}

$xlimit=500;
// $xlimit=1500;
$xlimit2=50;
// if(empty($user_codigo)){$xlimit=100;}
if(empty($user_codigo)){$xlimit=1000;}
if(empty($user_codigo)){$format=1;}
// $xlimit=0;

// if(mb_stristr('gmny.gnya',$cfg_empr)){$solo_ctlg=1;}
// if(mb_stristr('gmny.gnya',$cfg_empr)){$ver_tallas=2;}
// if(mb_stristr('orel',$cfg_empr)){$xlimit=50;}

$ver_tallas=0;

if(empty($format)){$format=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']) and $format!=1 and $format!=4){$format=1;}
if($format==4){$xlimit=0;}

if($format==1){$xtitulo='CATALOGO';}
if($format==2){$xtitulo='Pto.Venta';}
if($format==3){$xtitulo='Proforma';}
if($format==4){$xtitulo='Carrito';}
if($format==5){$xtitulo='Mantenimiento';}
// if($format==5){$solo_ctlg=0;}


if(mb_stristr('gmny.gnya',$cfg_empr) and $format!=5){$tctlg=1;}


$xtitle=$xtitulo;
$xtopcenter=strtoupper($xtitulo);

if(empty($buscar) and empty($lsub) and empty($mrca) and empty($clor) and ($limit==0 or $limit>$xlimit)){$limit=$xlimit;}

// SELECT SQL
{
     $subl=substr($lsub,5);
     if($subl=='0000'){$lsub=substr($lsub,0,4);}     

     if(!empty($enti)){$enti0=data_maes('enti',$enti);}     
     
     
     if(!empty($user_codigo))
     {
//           $docu='CAR1';
          $docu0=data_maes('docu',$docu);

          $sql_carr ='select * ';
          $sql_carr.='from '.$docu0['docu_tabla'].'1 ';
          $sql_carr.='where status not in ("I","X") ';
          $sql_carr.='and docu="'.$docu.'" ';
          $sql_carr.='and iuser='.$user_codigo.' ';
          $res_carr=msql_query($sql_carr,$link_data);
          $idcarr=msql_result($res_carr,0,'idnum1');
          

//           $cant=0;
          if(!empty($idcarr) and 1==2)
          {
               $sql_updt ='update '.$docu0['docu_tabla'].'2 ';
               $sql_updt.='left join ppdd0 on ppdd=ppdd_codigo ';
               $sql_updt.='set puni=ppdd_puni'.substr($lpre,-1).',';
               if($cfg_empr=='gnya')
               {$sql_updt.='dcto=20, ';}
               $sql_updt.='iva=ppdd_iva ';
               $sql_updt.='where idnum2='.$idcarr.' ';
               $sql_updt.='and ppdd_puni'.substr($lpre,-1).'>0 ';
               $res_updt=msql_query($sql_updt,$link_data);

               $sql_carr ='select * ';
               $sql_carr.='from '.$docu0['docu_tabla'].'1 ';
               $sql_carr.='left join '.$docu0['docu_tabla'].'2 on idnum1=idnum2 ';
               $sql_carr.='left join ppdd0 on ppdd=ppdd_codigo ';
               $sql_carr.='where status not in ("I","X") ';
               $sql_carr.='and docu="'.$docu.'" ';
               $sql_carr.='and iuser='.$user_codigo.' ';

//                $calc_fields=calc_fields($docu0['docu_tabla']);
//                if(!empty($calc_fields))
//                {$sql_carr=str_replace(' from ',','.$calc_fields.' from ',$sql_carr);}
               $res_carr=msql_query($sql_carr,$link_data);
               
//                echo '*/*/*'.$sql_carr;

//                $cant=number_format(msql_result($res_carr,0,'cant_s'),2);
               $cant=number_format(msql_result($res_carr,0,'tcant'),2);
//                echo '*/*/*'.$cant;
               
               $subt=number_format(msql_result($res_carr,0,'subt'),2);
               $tdcto=number_format(msql_result($res_carr,0,'tdcto'),2);
               $tiva=number_format(msql_result($res_carr,0,'tiva'),2);
               $total=number_format(msql_result($res_carr,0,'total'),2);
//                echo '*/*/*'.$total;
          }
     }     
     
$sql_ppdd ='select *,';
// $sql_ppdd.='count(ppdd_tlla) as ppdd_ctalla ';
$sql_ppdd.='from ppdd0 ';
$sql_ppdd.='left join lsub0 on ppdd_lsub=lsub_codigo ';
$sql_ppdd.='left join prvc0 on ppdd_prvc=prvc_codigo ';
$sql_ppdd.='where ppdd_status not in ("I","X") ';
$sql_ppdd.='and ppdd_descri!="" ';
$sql_ppdd.='and ppdd_codigo not like "99%" ';
// $sql_ppdd.='and ppdd not like "99%" ';
// $sql_ppdd.='and ppdd_'.$lpre.'>0 ';
// if($format!=5)     
// {$sql_ppdd.='and ppdd_puni1>0 ';}
if(!empty($buscar))
{
     $buscar=alltrim($buscar);
     $buscararray=explode(' ',$buscar);
     for($idx=0; $idx<count($buscararray); $idx++)
     {
          $buscaidx=$buscararray[$idx];
          if(strtolower(substr($buscaidx,-2,2))=='es'){$buscaidx=substr($buscaidx,0,-2);}
          if(strtolower(substr($buscaidx,-1,1))=='s'){$buscaidx=substr($buscaidx,0,-1);}
//           $sql_ppdd.=' and (ppdd_descri like "%'.$buscaidx.'%" or ppdd_codigo like "%'.$buscaidx.'%" or ppdd_codigov like "%'.$buscaidx.'%" or mrca_descri like "%'.$buscaidx.'%") ';
          $sql_ppdd.=' and (ppdd_descri like "%'.$buscaidx.'%" or ppdd_descri2 like "%'.$buscaidx.'%" or ppdd_codigo like "%'.$buscaidx.'%" ) ';
     }
}
// if(!empty($lsub)){$sql_ppdd.='and ppdd_lsub like "'.$lsub.'%" ';}
// if(!empty($lsub)){$sql_ppdd.='and (ppdd_lsub like "'.$lsub.'%" or lsub_descri like "'.$lsub.'%")' ;}
     
if(!empty($lsub)){$sql_ppdd.='and (lsub_codigo like "'.$lsub.'%" or lsub_descri like "'.$lsub.'%")' ;}
if(!empty($prvc)){$sql_ppdd.='and ppdd_prvc="'.$prvc.'"' ;}
if($vtalq=='V'){$sql_ppdd.='and ppdd_venta=1 ' ;}
if($vtalq=='A'){$sql_ppdd.='and ppdd_alqui=1 ' ;}
// if(!empty($mrca)){$sql_ppdd.='and ppdd_mrca = "'.$mrca.'" ';}
// if(!empty($clor)){$sql_ppdd.='and ppdd_clor = "'.$clor.'" ';}
// if(!empty($ppdd)){$sql_ppdd.='and ppdd_codigo like "'.$ppdd.'%" ';}
// if(!empty($mdlo)){$sql_ppdd.='and ppdd_mdlo like "'.$mdlo.'%" ';}
// if(!empty($clor))
// {
//      $clor_tipo=r_fiel('clor',$clor,'tipo');
//      $sql_ppdd.=' and (clor_tipo like "'.$clor_tipo.'%")';
// }
     
// if(mb_stristr('gnya.gmny',$cfg_empr))
// {$sql_ppdd.=' and ppdd_codigo like "20%" ';}
     
// if($solo_ctlg==1)
// {$sql_ppdd.=' and ppdd_ctlg=1 ';}
     
// if(mb_stristr('gnya.gmny',$cfg_empr))
// {$sql_ppdd.=' and ppdd_codigo!=ppdd_rfer ';}
     
if(mb_stristr('gnya.gmny',$cfg_empr) and !empty($categoria))
{
     $categoriax=$categoria;
     if(strtolower(substr($categoriax,-2,2))=='es'){$categoriax=substr($categoriax,0,-2);}
     if(strtolower(substr($categoriax,-1,1))=='s'){$categoriax=substr($categoriax,0,-1);}
     $sql_ppdd.=' and ppdd_descri like "%'.$categoriax.'%" ';
}

// tctlg     
{
if($tctlg==1){$sql_ppdd.='and ifnull(ppdd_ctlg,0)=1 ';}
if($tctlg==2){$sql_ppdd.='and ifnull(ppdd_ctlg,0)!=1 ';}
}

if(!empty($tfoto))     
{
     $sql_ppdd.='and left(ppdd_codigo,10) ';     
     if($tfoto==2)
     {$sql_ppdd.='not ';}
     $sql_ppdd.='in(select left(imgi_ppdd,10) from imgi0 where ifnull(imgi_status,"")!="X" ) ';     
}
          
// if(!empty($tstock))     
// {
//      $sql_ppdd.='and left(ppdd_codigo,10) ';
//      if($tstock==2)
//      {$sql_ppdd.='not ';}
//      $sql_ppdd.='in(select left(ppdd,10) ';
//      $sql_ppdd.='from (select ppdd, sum(case when left(docu,1)="I" then cant else cant*(-1) end) as stock ';
//      $sql_ppdd.='from inve1 left join inve2 on idnum1=idnum2 ';
//      $sql_ppdd.='left join bode0 on bode=bode_codigo ';
//      $sql_ppdd.='where status not in ("O","X") ';
//      $sql_ppdd.='and bode_tipo not like "N%" ';
     
// //      filtrar bodega para cuando sea punto de venta o bodega en linea
//      if($tstock==1 and !empty($bode))
//      {$sql_ppdd.='and bode="'.$bode.'" ';}
     
//      $sql_ppdd.='group by ppdd) as qstock ';
//      $sql_ppdd.='where stock>0) ';
// }
     
$xgroupby='group by ppdd_codigo ';
$xorderby='order by ppdd_descri, ppdd_codigo ';                                 

// if(empty($user_codigo) and empty($buscar) and empty($lsub))
// {$xorderby='order by ppdd_codigo desc ';}
     
     
if(mb_stristr('gmny.gnya',$cfg_empr)){$xgroupby='group by ppdd_mdlo,ppdd_raiz ';}
if(mb_stristr('gmny.gnya',$cfg_empr)){$xorderby='order by ppdd_idate,ppdd_codigo ';}

if(mb_stristr($orden,'Código')){$xorderby='order by ppdd_codigo ';}
if(mb_stristr($orden,'A-Z')){$xorderby='order by ppdd_descri,ppdd_codigo ';}
if(mb_stristr($orden,'Z-A')){$xorderby='order by ppdd_descri desc,ppdd_codigo ';}
if(mb_stristr($orden,'<')){$xorderby='order by ppdd_pvp1,ppdd_descri,ppdd_codigo ';}
if(mb_stristr($orden,'>')){$xorderby='order by ppdd_pvp1 desc,ppdd_descri,ppdd_codigo ';}
if(mb_stristr($orden,'Canti')){$xorderby='order by cantidad,ppdd_descri,ppdd_codigo ';}

if(mb_stristr('orel',$cfg_empr)){$xorderby=str_replace('ppdd_codigo','ppdd_codigov',$xorderby);}
     
$sql_ppdd.=$xgroupby;                                 
$sql_ppdd.=$xorderby;
if(!empty($limit)){$sql_ppdd.='limit '.$limit;}

if($format==4 and !empty($user_codigo))
{
     if(strlen(trim($enti))>=10)
     {
          if(empty($lpre)){$lpre='puni1';}
          $sql_updt='update enti0 set enti_prec='.substr($lpre,-1).' where enti_codigo like "'.substr($enti,0,10).'%"';
          $res_updt=msql_query($sql_updt,$link_data);
     }
     
//      $docu='CAR1';
     $docu=$docu;
     $docu0=data_maes('docu',$docu);

     $sql_ppdd ='select *, ';
     $sql_ppdd.='sum(cant) as cantidad ';
     $sql_ppdd.='from '.$docu0['docu_tabla'].'1 ';
     $sql_ppdd.='left join '.$docu0['docu_tabla'].'2 on idnum1=idnum2 ';
     $sql_ppdd.='left join ppdd0 on ppdd=ppdd_codigo ';
     $sql_ppdd.='where ppdd_status not in ("I","X") ';
     $sql_ppdd.='and docu="'.$docu.'" ';
     $sql_ppdd.='and iuser='.$user_codigo.' ';
     
//      $calc_fields=calc_fields($docu0['docu_tabla']);
//      if(!empty($calc_fields))
//      {$sql_ppdd=str_replace(' from ',','.$calc_fields.' from ',$sql_ppdd);}

     $sql_ppddtot=$sql_ppdd;
     
     $sql_ppdd.=$xgroupby;                                 
     $sql_ppdd.=$xorderby;     

     $res_ppddtot=msql_query($sql_ppddtot,$link_data);
     
}
     
// if($user_codigo==2)
{
//      echo '*/*/*/*/'.$sql_ppdd;
}
$res_ppdd=msql_query($sql_ppdd,$link_data);

$msgres='';
// $msgres.=msql_num_rows($res_ppdd).' Resultado(s)...';
$msgres.=number_format(msql_num_rows($res_ppdd)).' Resultado(s)...';

$simi_buscar=trim($buscar);
if(mb_stristr($simi_buscar,' '))
{$simi_buscar=substr($simi_buscar,0,strpos($simi_buscar,' '));}
     
     
}


echo '<div id="filtros">';
{
// OCULTOS
echo '<div hide>';     
echo '<input id="format"  value="'.$format.'">';
echo '<input id="limit"  value="'.$limit.'">';
// echo '<input id="docu"  value="'.msql_result($res_ppdd,0,'docu').'">';
echo '<input id="idnum1"  value="'.msql_result($res_ppdd,0,'idnum1').'">';
echo '</div>';     

$zobj=2;     
include('ele_break.php');
     
     
if(mb_stristr('gmny.gnya',$cfg_empr))
{
     $zvalue=$categoria; $zlabel='Categorías'; $zid='categoria'; $ztodo=1;
     $zonchange='{buscar_ppdd(event);}';
     $zoptions='Blusas;Vestidos;Faldas;Enterizos;Shorts;Leggins;Camisas;Camisetas;Pantalones;Pijamas;Niñ,Niñ@s;';
     if($format==4){$zhide=1;}
     include('ele_select.php');
}

$zid='vtalq';
$zvalue=$vtalq;
$ztodo=1;
// $ztabla='lsub';
$zlabel='Tipo';
$zoptions='';     
$zoptions.='V,Venta;';     
$zoptions.='A,Alquiler;';     
$zonchange='{buscar_ppdd(event);}';
if($format==4){$zhide=1;}
include('ele_select.php');

$zid='prvc'; $zvalue=$prvc; $ztodo=1;
$ztabla='prvc';
$zlabel='Provincia';
$zonchange='{buscar_ppdd(event);}';
$zwhere='(prvc_codigo in(select distinct ppdd_prvc from ppdd0 where ppdd_status not in ("O","X")))';
     
// if($format==4){$zhide=1;}
include('ele_select.php');

$zid='lsub'; $zvalue=$lsub; $ztodo=1;
$ztabla='lsub';
$zlabel='Linea';
$zonchange='{buscar_ppdd(event);}';
$zwhere='(lsub_codigo in(select distinct ppdd_lsub from ppdd0 where ppdd_status not in ("O","X")))';
// if($format==4){$zhide=1;}
include('ele_select.php');

// $zid='mrca';
// $zvalue=$mrca;
// $ztodo=1;
// $ztabla='mrca';
// $zlabel='Marca';
// $zonchange='{buscar_ppdd(event);}';
// $zwhere='(mrca_codigo in(select distinct ppdd_mrca from inve1 left join inve2 on idnum1=idnum2 left join ppdd0 on ppdd=ppdd_codigo where status not in ("O","X")))';
// if($format==4){$zhide=1;}
// include('ele_select.php');

// $zid='clor'; $zvalue=$clor; $ztodo=1;
// $ztabla='clor';
// $zlabel='Color';
// $zonchange='{buscar_ppdd(event);}';
// $zwhere='(clor_codigo in(select distinct ppdd_clor from inve1 left join inve2 on idnum1=idnum2 left join ppdd0 on ppdd=ppdd_codigo where status not in ("O","X")))';
// if($format==4){$zhide=1;}
// include('ele_select.php');

$zid='tctlg';
$zvalue=$tctlg;
$zlabel='Catálogo';
$ztriv=1;
$ztodo=1;     
$zonchange='{buscar_ppdd(event);}';
$zhide=1;     
if($format==5){$zhide=0;}
if($format!=5 and mb_stristr('gmny.gnya',$cfg_empr)){$zvalue=1;}
include('ele_select.php');

     
     
$zid='tstock';
$zvalue=$tstock;
$zlabel='Stock';
$ztriv=1;
$ztodo=1;     
$zonchange='{buscar_ppdd(event);}';
if($format==1 or $format==2){$zhide=1;}
if($format==4){$zhide=1;}
// if(mb_stristr('orel.',$cfg_empr) and empty($user0['user_tipo'])){$zvalue=1;}
// $zhide='';     
include('ele_select.php');

$zid='tfoto'; $zvalue=$tfoto;
$zlabel='Foto';
$ztriv=1;
$ztodo=1;     
$zonchange='{buscar_ppdd(event);}';
if($format==1 or $format==2){$zhide=1;}
if($format==4){$zhide=1;}
// if(mb_stristr('orel.',$cfg_empr) and empty($user0['user_tipo'])){$zvalue=1;}
include('ele_select.php');

$zid='buscar'; 
$zvalue=$buscar;
$zlabel='Texto';
$zplace='buscar';
$zonenter='{buscar_ppdd(event);}';
     
if($format==4){$zhide=1;}
include('ele_input.php');
     

// $zobj=1;     
$zid='docu';     
$zlabel='No.';
$zvalue=$docu;     
// $ztabla='docu';
// $zwhere='(docu_codigo like "CAR%")';
$zalign='right';
$zoptions='CAR1;CAR2;';
$zexact=1;     
$zonchange='{buscar_ppdd(event);}';
$zonblur='{buscar_ppdd(event);}';
$zreado=2;
if(mb_stristr('orel.',$cfg_empr) and (empty($user0['user_tipo']) or $user0['user_tipo']=='invi'))
{$zhide=1;}
     
$zhide=1;     
include('ele_select.php');
     

$zid='btn_carrito'; 
$zlabel='Carrito';
$zalign='right';
$zonclick='{location.href="?scri=ctlg_ppdd3&format=4&enti="+document.getElementById("enti").value+"&lpre="+document.getElementById("lpre").value+"&docu="+document.getElementById("docu").value;}';
if(empty($user_codigo) or $format==4 or $format==5){$zhide=1;}
// $zsize=1.2;    
if(empty($user0['user_tipo']) or $user0['user_tipo']=='invi')
{$zhide=1;}
$zhide=1;     
include('ele_button.php');

$zid='btn_busca'; 
$zlabel='Buscar';
$zalign='right';
$zonclick='{buscar_ppdd(event);}';
if($format==4){$zhide=1;}
// if(empty($user0['user_tipo']) or $user0['user_tipo']=='invi')
// {$zsize=1;}
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
if($format!=4)
{echo $msgres;}
echo '</span>';     


     
     $zid='docu2';
     $ztabla='docu';
     $zlabel='Documento';
     $zoptions='PC,Pedido;';
     if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
     {
          $zdefa='PF';
          $zoptions='PF,Proforma;';
          if(mb_stristr('hg01',$cfg_empr))
          {
               $zdefa='FC';
               $zoptions='FC,Factura;';
          }
     }
     if($format!=4){$zhide=1;}
     if($format==5){$zoptions='';}
     if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=1;}
     include('ele_select.php');
     
     
// if($format!=4)
//if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))     
{
$zid='btn_procesar'; 
$zlabel='Procesar';
$zonclick='{proc_carr();}';
if($format!=4){$zhide=1;}
// if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{$zlabel='Ordenar Pedido'; $zalign='center';}
$zsize=1.2;     
//      $zhide=1;
// $zalign='right';     
include('ele_button.php');
     
$zid='btn_regresar'; 
$zlabel='Regresar';
$zalign='right';
$zonclick='{window.history.back();}';
if($format!=4){$zhide=1;}
$zhide=1;     
include('ele_button.php');
     
$zid='btn_reload'; 
$zlabel='Actualizar';
// $zalign='right';
$zonclick='{buscar_ppdd(event);}';
if($format!=4){$zhide=1;}
include('ele_button.php');

// $zobj=1;     
// include('ele_break.php');
     
     
$zid='btn_vaciar'; 
$zlabel='Vaciar Carrito';
$zalign='right';
$zonclick='{dele_carr();}';
// if(@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=1;}
if($format!=4){$zhide=1;}
$zsize=0.8;     
include('ele_button.php');

     
     
     
// include('ele_break.php');
     
}
     
     
     
     
     

{    
// $zobj=1;     
if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{
}
include('ele_break.php');

$ztitulo=$xtitulo;     
include('ele_title.php');
     
 // if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{

     if($format==2 or $format==5)
     {
          $zid='bode';
          $zvalue=$bode;
          $ztodo=1;
          $ztabla='bode'; $zlabel='Bodega';
          $zonchange='{buscar_ppdd(event);}';
          include('ele_select.php');
     }


$zid='orden'; $zvalue=$orden;
$zlabel='Ordenar X';
$zoptions='Código;Nombre (A-Z);Nombre (Z-A);Precio <;Precio >';
if($format==4)
{$zoptions='Código;Nombre (A-Z);Nombre (Z-A);Cantidad;Precio <;Precio >';}
$zonchange='{buscar_ppdd(event);}';
$zalign='right';
$zhide=1;     
include('ele_select.php');

}//filtros     
echo '</div>';
     
echo '<div id="cliedatos">';
  
     
if($format==2 or $format==3 or @mb_stristr('sist.supe.admi',$user0['user_tipo']));
{
     $ztabla='enti';
     $zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1) or left(enti_codigo,10) in(select distinct left(enti,10) from clie1))';
//      $zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1 union select distinct left(enti,10) from clie1))';
//      $zwhere='((enti_codigo) in(select distinct (enti) from vtas1 union select distinct (enti) from clie1))';
     include('ele_datalist.php');
     
//      $ztabla='ppdd';
//      $zwhere='(ppdd_codigo not like "99%")';
//      include('ele_datalist.php');
     
}


$zid='dl_ciudad';
$ztabla='ppdd';
$zcolu='ppdd_ciudad';
$zcolu2='ppdd_ciudad';
include('ele_datalist.php');
     
     
     
     
$zid='enti'; 
$ztabla='enti';
$zlist='dl_enti';
$zlabel='Cliente'; 
$zvalue=$enti; 
if($format==1 or $format==5){$zhide=1;}
if($format==1){$zreado=1;}
//           if($format==4){$zcodeo=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{
     $zlabel='Cédula/Ruc';
     if(empty($enti))
     {$enti=$user0['user_cedula'];$enti0=data_maes('enti',$enti);}
     $zvalue=$enti; 
     $zcodeo=1;
     $zexact=1;
}
$zonchange='{buscar_ppdd(event);}';
// $zonblur='{buscar_ppdd(event);}';
include('ele_input.php');
 
     
     
if($format==4)
{
     if(empty($direccion)){$direccion=$enti0['enti_direccion'];}
     if(empty($direccion)){$direccion=$user0['user_direccion'];}
     if(empty($email)){$email=$enti0['enti_email'];}
     if(empty($email)){$email=$user0['user_email'];}
     if(empty($wsapp)){$wsapp=$enti0['enti_wsapp'];}
     if(empty($wsapp)){$wsapp=$user0['user_wsapp'];}

     
     $zid='direccion';
     $zvalue=$direccion; 
     $zlabel='Dirección';
     $zwidth=25;
     $zrows=2;
     include('ele_input.php');
     
     
     
     $ztabla='adrs';
     $zwhere='(adrs_enti like "'.substr($enti,0,10).'%")';
     if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
     {$zwhere='(adrs_user like "'.$user0['user_codigo'].'")';}
     include('ele_datalist.php');
     

     $zobj=1;include('ele_break.php');          
     
     $zid='nombre';
     $zlabel='Nombre';
     $zvalue=$nombre;
     $zhide=1;
     include('ele_input.php');
          
     
     $zid='email'; 
     $zvalue=$email;
     $zlabel='e-mail';
     include('ele_input.php');

     if(empty($wsapp)){$wsapp=$enti0['enti_wsapp'];}
     if(empty($wsapp)){$wsapp=$user0['user_wsapp'];}
     $zid='wsapp';
     $zvalue=$wsapp; 
     $zlabel='ws-app';
     $zclass='numeric';
     include('ele_input.php');

     $zid='adrs';
     $zvalue=$adrs; 
     $zlabel='Direcc.';
     $ztabla='adrs';
     $zlist='dl_adrs';
//     include('ele_input.php');


//      $zid='direccion';
//      $zlabel='Dirección';
//      $zvalue=$direccion;
//      $zwidth=25;    
//      $zrows=2;     
//      include('ele_input.php');

     
     
//           $zobj=1;include('ele_break.php');

}

// $zid='lpre'; 
// $zvalue=$lpre;
// $zlabel='Lista'; 
// $zonchange='{buscar_ppdd(event);}';
// $zoptions='pvp1,Precio 1;pvp2,Precio 2;pvp3,Precio 3;pvp4,Precio 4;pvp5,Precio 5;';
// if(mb_stristr('imcp',$cfg_empr))
// {$zoptions='puni1,Precio 1;puni2,Precio 2;puni3,Precio 3;puni4,Precio 4;puni5,Precio 5;';}
// if($format==1 or $format==5){$zhide=1;}
// if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
// {$zhide=1; $zreado=1; }
// include('ele_select.php');
     

if($format==4)
{$zobj=1;include('ele_break.php');}
// if(!empty($user_codigo) and msql_num_rows($res_ppddtot)!=0)
// if($format==4)

// if(mb_stristr('orel.',$cfg_empr) and (empty($user0['user_tipo']) or $user0['user_tipo']=='invi'))
     
     
// if($format!=5 and !empty($user_codigo))
if(1==2)     
if($format!=5 and !empty($user0['user_tipo']) and $user0['user_tipo']!='invi')
{
//      $zobj=4;
     $zid=''; 
     $zvalue=$cant; 
     $zlabel='Unids.';
     $ztalign='right';
     $zreado=2;
     include('ele_input.php');

//      $zobj=4;
     $zid=''; $zvalue=$subt; 
     $zlabel='Sub-Tot';
     $ztalign='right';
     $zreado=2;
     if($format!=4){$zhide=1;}
     include('ele_input.php');

     if($tdcto>0)
     {
//           $zobj=4;
          $zid=''; $zvalue=$tdcto; 
          $zlabel='Dcto.';
          $ztalign='right';
          $zreado=2;
          if($format!=4){$zhide=1;}
          include('ele_input.php');
     }

     
     if($tiva>0)
     {
//           $zobj=4;
          $zid=''; $zvalue=$tiva; 
          $zlabel='IVA';
          $ztalign='right';
          $zreado=2;
          if($format!=4){$zhide=1;}
          include('ele_input.php');
     }
     
//      $zobj=4;
     $zid=''; $zvalue=$total; 
     $zlabel='Total $';
     $ztalign='right';
     $zreado=1.5;
     if($format==4){$zsize=2;}
     include('ele_input.php');
     
//      $zobj=1;include('ele_break.php');          
     
}


// if($format==4)
// if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))     
{


// $zid='btn_procesar'; 
// $zlabel='Ordenar Pedido';
// $zalign='right';     
// $zonclick='{proc_carr();}';
// // if($format!=4){$zhide=1;}
// if(@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=1;}
// // if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zlabel='Ordenar';}
// $zsize=1.2;     
// include('ele_button.php');
     
     
// $zid='btn_vaciar'; 
// $zlabel='Vaciar Carrito';
// $zalign='right';
// $zonclick='{dele_carr();}';
// // if(@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$zhide=1;}
// // if($format!=4){$zhide=1;}
// $zsize=0.8;     
// include('ele_button.php');
     
}
     
     
$zobj=1;include('ele_break.php');

     
     
// $zid='ppdd';
// $zlabel='ppdd';
// $zvalue=$ppdd;
// $ztabla='ppdd';
// $zlist='dl_ppdd';
// if($format==1 or $format==5){$zhide=1;}
// include('ele_input.php');

echo '</div>';
     
}
     
     
     
include('ele_break.php');
//      echo $sql_ppdd;

echo '<div id="main2">';     
{     
     $domd = new DOMDocument();
          $domd->encoding = 'utf-8';
          $domd->xmlVersion = '1.0';
          $domd->formatOutput = true;
     $elem=$domd;

     
//      {$zobj=1;include('ele_break.php');}
//      echo '*/*/*/*'.$server_name;
     if($format!=5 and !empty($user_codigo))
     {
//           $div=$elem->appendChild($domd->createElement("div"," "));
//           $href=$div->appendChild($domd->createElement("a","compartir"));
// //           $href->setAttribute("href","https://api.whatsapp.com/send?text=".$server_name.$request_uri);
//           $href->setAttribute("href","https://www.facebook.com/sharer/sharer.php?u=https://".$server_name.$request_uri);
          
// //           $href->setAttribute("href","whatsapp://send?text=prueba 1");
//           $href->setAttribute("target","_blank");
//           $div->setAttribute("align-r","");
          

//           $div=$elem->appendChild($domd->createElement("div"," "));
//           $btn=$div->appendChild($domd->createElement("button","compartir 1"));
// //           $btn->setAttribute("href","https://api.whatsapp.com/send?text=");
//           $btn->setAttribute("href","whatsapp://send?text=prueba 1");
// //           $btn->setAttribute("target","_blank");
//           $btn->setAttribute("align-r","");
//           $div->setAttribute("align-r","");
          

          if($format!=4 and $format!=5)
          {
          $div=$elem->appendChild($domd->createElement("div"," "));
          $btn=$div->appendChild($domd->createElement("button","compartir"));
//           $btn->setAttribute("href","https://api.whatsapp.com/send?text=");
          $btn->setAttribute("onclick","fn_share('".$user_codigo."')");
//           $btn->setAttribute("onclick","fn_share('".$user0['user_email']."')");
          $btn->setAttribute("target","_blank");
          $btn->setAttribute("align-r","");
          $div->setAttribute("align-r","");
          }
          
          
          
          
          echo $domd->saveXML();
     }
     
     
     $table=$elem->appendChild($domd->createElement("table"));
     $table->setAttribute("border","1");
     
     msql_data_seek($res_ppdd,0);     
     while($aso_ppdd=msql_fetch_assoc($res_ppdd))
     {
          $zid=$aso_ppdd['ppdd_codigo'];
          $ztabla='ppdd';
          $zprecio=$lpre;
          

//           $zcodigo=$aso_ppdd['ppdd_rfer'];
          $zcodigo=$aso_ppdd['ppdd_codigo'];
//           if(empty($zcodigo)){$zcodigo=$aso_ppdd['ppdd_mdlo'];}
//           if(empty($zcodigo)){$zcodigo=$aso_ppdd['ppdd_codigo'];}
          $zstockv=0;
          
          if($format==4){$zobj=5; $zstockv=0;}
          $ztotpvp=$aso_ppdd['total']; 
          $zbode=$bode;
//           $zcarr=1;
          $zdcarr=$docu;
//           $zobj=4;
          if($format==5)
          {
               $zcarr=0;
               $zupld=1;
               $zobj=2;
          }
//           $zprecio=1;
          $ztabla='ppdd';
          include('ele_image.php');  
          
          if($format==4){$zobj=1;include('ele_break.php');}
          $simi_codi=$zcodigo;
          $same_codi=trim($aso_ppdd['ppdd_codigo']);
          $same_desc=trim($aso_ppdd['ppdd_descri']);
          

     }

//      echo $domd->saveXML();
     
     if(msql_num_rows($res_ppdd)==1 and $format!=4)
     {
          include('ele_break.php');
          $same_desc=trim($same_desc);
          $same_desc=str_replace('  ',' ',$same_desc);
          $same_desc=trim($same_desc);
          $same_desc=explode(' ',$same_desc);
          
          $simi_desc=$same_desc[0].' '.$same_desc[1];
          if(count($same_desc)>=4)
          {$simi_desc.=' '.$same_desc[2];}

          if(mb_stristr('gmny.gnya',$cfg_empr)){$same_codi=substr($same_codi,0,10);}
          if(mb_stristr('gmny.gnya',$cfg_empr)){$simi_desc=substr($same_codi,0,8);}  
          
//           $sql_ppdd=str_replace('where ','where ppdd_codigo not like "'.$same_codi.'%" and ',$sql_ppdd);
//           $sql_ppdd=str_replace('where ','where ppdd not like "'.$same_codi.'%" and ',$sql_ppdd);

          $sql_simi=$sql_ppdd;
          $sql_simi=str_replace('%'.$simi_codi.'%','%'.$simi_desc.'%',$sql_simi);
          $sql_simi=str_replace('limit '.$xlimit,'limit '.$xlimit2,$sql_simi);
          $res_simi=msql_query($sql_simi,$link_data);

          if(msql_num_rows($res_simi)==0)
          {
               if(mb_stristr($simi_desc,' '))
               {
                    $words=explode(' ',$same_desc);
                    for($idx=count($words)-1; $idx>=0; $idx-- )
                    {
                         $simi_desc='';
                         for($idx2=0; $idx2<=$idx; $idx2++)
                         {$simi_desc.=$words[$idx2].' ';}
                         $simi_desc=trim($simi_desc);

                         $simi_buscar=str_replace('"','\"',$simi_buscar);     
                         $simi_desc=str_replace('"','\"',$simi_desc);     
                         
                         $sql_simi=$sql_ppdd;
                         $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$simi_desc.'%',$sql_simi);
                         $sql_simi=str_replace('limit '.$xlimit,'limit '.$xlimit2,$sql_simi);
                         $res_simi=msql_query($sql_simi,$link_data);
     //                     if(msql_num_rows($res_simi)!=0){break;}
                         if(msql_num_rows($res_simi)>1){break;}
                    }
               }
          }     

          if(msql_num_rows($res_simi)==0)
          {
               $sql_simi=$sql_ppdd;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$simi_desc.'%',$sql_simi);
               $sql_simi=str_replace('limit '.$xlimit,'limit '.$xlimit2,$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)==0)
          {
               $sql_simi=$sql_ppdd;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$same_desc.'%',$sql_simi);
               $sql_simi=str_replace('limit '.$xlimit,'limit '.$xlimit2,$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)==0)
          {
               if(mb_stristr($same_desc,' ')){$same_desc=substr($same_desc,0,strpos($same_desc,' '));}
               $sql_simi=$sql_ppdd;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$same_desc.'%',$sql_simi);
               $sql_simi=str_replace('limit '.$xlimit,'limit '.$xlimit2,$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

//           echo $sql_simi;
          if(msql_num_rows($res_simi)!=0)
          {
               $ztitulo='SIMILARES';include('ele_title.php');
               include('ele_break.php');
     //           echo msql_num_rows($res_simi).' Resultado(s)...';
          }

          while($aso_ppdd=msql_fetch_assoc($res_simi))
          {
               $zid=$aso_ppdd['ppdd_codigo'];
               $zcodigo=$aso_ppdd['ppdd_codigo'];
//                $zdcarr=$docu;
               
//                if(empty($zcodigo)){$zcodigo=$aso_ppdd['ppdd_mdlo'];}
//                if(empty($zcodigo)){$zcodigo=$aso_ppdd['ppdd_codigo'];}
//                if(mb_stristr('orel',$cfg_empr)){$zfixh=1;}
               
               $ztabla='ppdd';
               include('ele_image.php');
          }

     }
}
echo '</div>';     
     
     
}


?>

<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<script>
function fn_share(preferx='')
{
     var xhref='', dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
//      dataget=new_FormData('filtros','get');
//      xhref=xhref+dataget;
     xhref=location.href;
     xhref=xhref.substring(0,xhref.indexOf('&',(xhref.indexOf('buscar='))));
     xhref=xhref+'&referx='+preferx;
     xhref=xhref.replace(/ /g,'');
     xhref=xhref.replace(/&/g,'%26');
     xhref='https://api.whatsapp.com/send?text='+xhref+'';
     window.open(xhref);
}
</script>



